Bug 973456 - Users not able to delete their apps: invalid character at "<!DOCTYPE "
Users not able to delete their apps: invalid character at "<!DOCTYPE "
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 19:55 EDT by Nam Duong
Modified: 2015-05-14 20:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:16:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2013-06-11 19:55:02 EDT
Description of problem:
We're seeing a few forum threads with users raising the issue where they aren't able to delete their apps.  The debug output is:
rhc app delete tv --confirm -d
DEBUG: Authenticating with RHC::Auth::Token
DEBUG: Connecting to https://openshift.redhat.com/broker/rest/api
DEBUG: Getting all domains
DEBUG: Request GET https://openshift.redhat.com/broker/rest/api
DEBUG:    code 200 1816 ms
DEBUG: Request GET https://openshift.redhat.com/broker/rest/domains
DEBUG:    code 200  409 ms
DEBUG: Getting all domains
DEBUG: Request GET https://openshift.redhat.com/broker/rest/domains/pyapi/applications/tv
DEBUG:    code 500  527 ms
D, [2013-06-12T06:37:40.204493 #3030] DEBUG -- : Response did not include a message from server: invalid character at "<!DOCTYPE "
The server did not respond correctly. This may be an issue with the server configuration or with your connection to the server (such as
a Web proxy or firewall). Please verify that you can access the OpenShift server
https://openshift.redhat.com/broker/rest/domains/pyapi/applications/tv

The 2 threads that I can see are:
https://www.openshift.com/forums/openshift/cant-delete-an-app-that-got-interruption-while-creating

https://www.openshift.com/forums/openshift/always-get-we-appear-to-be-having-technical-difficulties-when-click-on-my
Comment 1 Rajat Chopra 2013-06-14 14:07:56 EDT
Seems like the appname 'new' causes the issue. I believe we had fixed this with -
https://github.com/openshift/origin-server/commit/350f56ec2c51fadc2adcef8a478a862688ce01db

Need to revisit the fix.
Comment 2 Abhishek Gupta 2013-07-10 19:16:39 EDT
The user's applications have been deleted and multiple fixes were made to the broker/UI/CLI to allow broken applications to be deleted. This should not be a problem anymore.

Note to QE:
As part of verification, please ensure that an application with name "new" can be created and deleted using CLI, UI, and REST APIs.
Comment 4 Liang Xia 2013-07-10 23:21:24 EDT
Tested following scenarios. Can NOT reproduce this issue.

1.using CLI
  1.1 create app called new from CLI. success
  1.2 accessing app from broswer. success
  1.3 check app_url/health. show 1
  1.4 delete app "new" from CLI. success
  
2.using UI
  2.1 create app called new from UI. success
  2.2 accessing app from broswer. success
  2.3 check app_url/health. show 1
  2.4 delete app "new" from UI. success
  
3.using REST API
  3.1 create app called new using REST API. success
  3.2 accessing app from broswer. success
  3.3 check app_url/health. show 1
  3.4 delete app "new" using REST API. success
  
4.create with CLI, delete from UI
  4.1 create 2 app from CLI, new1 non-scalable, new2 scalable. success
  4.2 check my applications page. both app new1 & new2 show there.
  4.3 accessing apps from browser. success
  4.4 check app_url/health. show 1
  4.5 delete apps from UI. success

Note You need to log in before you can comment on or make changes to this bug.